Memory Stores
Get an update result
Retrieves the status and result of a memory store update operation.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Path parameters
name
string
required
The name of the memory store.
update_id
string
required
The ID of the memory update operation.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
update_id
string
required
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
required
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
required
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
required
Usage statistics of a memory store operation.
embedding_tokens
integer
required
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
required
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
required
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
required
The public continuation instruction.
Request
GET /memory_stores/{name}/updates/{update_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json